.. red's core utils documentation

=================
Utility Functions
=================

General Utility
===============

.. automodule:: redbot.core.utils
    :members: deduplicate_iterables, bounded_gather, bounded_gather_iter

Chat Formatting
===============

.. automodule:: redbot.core.utils.chat_formatting
    :members:

Embed Helpers
=============

.. automodule:: redbot.core.utils.embed
    :members:

Reaction Menus
==============

.. automodule:: redbot.core.utils.menus
    :members:

Event Predicates
================

.. automodule:: redbot.core.utils.predicates
    :members:

Mod Helpers
===========

.. automodule:: redbot.core.utils.mod
    :members:

Tunnel
======

.. automodule:: redbot.core.utils.tunnel
    :members: Tunnel

Common Filters
==============

.. automodule:: redbot.core.utils.common_filters
    :members:
